<html xmlns="http://www.w3.org/1999/xhtml" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xalan="http://xml.apache.org/xslt">
<head>
<title>server M4 milestone plan</title>
<link rel="stylesheet" type="text/css" href="../../../../development/milestone_plans/stylesheets/images/default_style.css"/>
<script src="../../../../popup.js" type="text/javascript">
					// script is linked
				</script>
</head>
<body>
<table border="0" width="100%" cellPadding="2" cellSpacing="5">
<tr>
<td>
<font class="indextop">server M4</font>
<br/>
<font class="indexsub">jst server tools</font>
</td>
<td>
<br/>
</td>
<td width="28%">
<img height="86" width="120" src="../../../../development/milestone_plans/stylesheets/images/Idea.jpe"/>
</td>
</tr>
</table>
<table border="0" width="100%" cellPadding="2" cellSpacing="5">
<tr>
<a name="Overall_Planning">
<td rowspan="3" colSpan="2" bgColor="#0080c0" width="100%" align="left" valign="top">
<b>
<font face="Arial,Helvetica">
<font color="#ffffff">M4 Plan</font>
</font>
</b>
</td>
</a>
</tr>
</table>
<table width="100%" cellspacing="5">
<tr>
<td/>
</tr>
</table>
<tr>
<td>
<table>
<tr>
<td valign="top">
<img height="16" border="0" nosave="" src="../../../../development/milestone_plans/stylesheets/images/Adarrow.gif"/>
</td>
<td>
<b>Apache Tomcat support</b>
<ul>
<li>
<img width="10" height="10" src="../../../../development/milestone_plans/stylesheets/images/ok.gif"/>
<description>API cleanup and bug fixes</description>
<font color="8080FF"> [high]</font>
</li>
<ul>
<li>
<description>Tomcat: Finish API and JavaDoc improvement</description>
</li>
<li>
<description>Tomcat: Resolve all high severity bugs reported in bugzilla</description>
</li>
<li>
<description>Tomcat: React to all server tools API changes</description>
</li>
</ul>
</ul>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td>
<table>
<tr>
<td valign="top">
<img height="16" border="0" nosave="" src="../../../../development/milestone_plans/stylesheets/images/Adarrow.gif"/>
</td>
<td>
<b>Generic Server Support</b>
<ul>
<li>
<img width="13" height="5" src="../../../../development/milestone_plans/stylesheets/images/progress.gif"/>
<description>Generic server API cleanup and resolve bug reports</description>
<font color="8080FF"> [high]</font>
</li>
<ul>
<li>
<description>Complete work on Generic Server API</description>
</li>
<li>
<description>Generic Server: Resolve bugs reported in bugzilla</description>
</li>
<li>
<description>Generic Server: Complete javadoc for APIs</description>
</li>
<li>
<description>Generic Server: Complete JUnit coverage for APIs</description>
</li>
<li>
<description>Generic Server: Respond to server tools API changes</description>
</li>
</ul>
<li>
<description>Complete the implementation of server tooling APIs</description>
<font color="8080FF"> [medium]</font>
</li>
<ul>
<li>
<description>Implement Server editors for Generic servers</description>
</li>
</ul>
</ul>
</td>
</tr>
</table>
</td>
</tr>
<table border="0" width="100%" cellpadding="2" cellspacing="5">
<tbody>
<tr>
<td colspan="4" bgcolor="#0080c0" width="100%" align="left" valign="top">
<b>
<font face="Arial,Helvetica">
<font color="#ffffff">Legend</font>
</font>
</b>
</td>
</tr>
<tr>
<td valign="top">
<img width="14" height="5" src="../../../../development/milestone_plans/stylesheets/images/progress.gif"/>
</td>
<td width="50%">item is under development.</td>
<td valign="top">
<img width="10" height="10" src="../../../../development/milestone_plans/stylesheets/images/glass.gif"/>
</td>
<td width="50%">item is under investigation.</td>
</tr>
<tr>
<td valign="top">
<img width="10" height="10" src="../../../../development/milestone_plans/stylesheets/images/ok.gif"/>
</td>
<td width="50%">item is finished.</td>
<td valign="top">
<img width="40" height="12" src="../../../../development/milestone_plans/stylesheets/images/help.gif"/>
</td>
<td width="50%">help wanted</td>
</tr>
<tr>
<td valign="top">
<img width="10" height="10" src="../../../../development/milestone_plans/stylesheets/images/defer.gif"/>
</td>
<td width="50%">item is deferred.</td>
<td valign="top">
<font class="indexsub">
<img src="../../../../development/milestone_plans/stylesheets/images/new.gif"/>
</font>
</td>
<td width="50%">new</td>
</tr>
</tbody>
</table>
<br/>
</body>
</html>
